Skip to main content
GET
List MCP server tools

Path Parameters

mcp_server_id
string
required

ID of the MCP Server.

Response

Successful Response

Response model for testing tools available on an MCP server.

success
boolean
required

Indicates if the operation was successful.

tools
Tool · object[]
required

A list of tools available on the MCP server.

tool_approval_statuses
MCPToolApprovalStatus · object[]

Derived approval states for currently discovered tools. Populated only for persisted MCP servers using per-tool approval; otherwise empty.

error_message
string | null

Error message if the operation was not successful.